Subject: Re: Re: Re: [PATCH net-next v7 2/4] net: stmmac: eic7700: enable clocks before syscon access and correct RX sampling timing

From: 李志 <[email-masked]>
Date: Tue, 12 May 2026 13:39:12 +0800 (GMT+08:00)

> -----Original Messages-----
> From: 李志 <[email-masked]>
> Send time:Wednesday, 06/05/2026 10:10:57
> To: "Jakub Kicinski" <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
> Subject: Re: Re: [PATCH net-next v7 2/4] net: stmmac: eic7700: enable clocks before syscon access and correct RX sampling timing
> 
> 
> 
> 
> > -----原始邮件-----
> > 发件人: "Jakub Kicinski" <[email-masked]>
> > 发送时间:2026-05-01 07:35:51 (星期五)
> > 收件人: 李志 <[email-masked]>
> > 抄送: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
> > 主题: Re: [PATCH net-next v7 2/4] net: stmmac: eic7700: enable clocks before syscon access and correct RX sampling timing
> > 
> > On Thu, 30 Apr 2026 14:43:50 +0800 (GMT+08:00) 李志 wrote:
> > > > Why Fixes? If eth1 never worked this is not a fix but new functionality
> > > > If you want to make this a fix to prevent incompatibility - cut it down
> > > > just to the eth0 changes.
> > > >   
> > > Thank you for the suggestion.
> > > 
> > > You're right that eth1 never worked at Gigabit speed, so this should
> > > not be treated as a fix.
> > > 
> > > In v8, I will split the changes into two patches within the same series:
> > > - Patch 1 will contain only the fixes affecting the existing eth0
> > > functionality, and will keep the Fixes tag.
> > > - Patch 2 will add the eth1 support (RX clock inversion workaround)
> > > as new functionality, without a Fixes tag.
> > > 
> > > Please let me know if you would prefer a different split or ordering.
> > 
> > If you want to consider some part of this commit a fix it has to be
> > posted separately to the net tree (rather than net-next).
> > Once it's merged and makes it way over to the net-next tree (each
> > Thursday) you can post the net-next chnages for eth1
> 
> Thanks, understood.
> 
> I will split the changes accordingly:
> - Send the eth0 fixes as a new v1 series targeting net.
> - Send the eth1 enablement as a new v1 series targeting net-next.
> 
> Thanks for the guidance.

Hi Jakub,

Just to confirm the versioning for the eth1 part after splitting the
original v7/v8 series:

For the net fix part, I have already posted it as a new v1 series
targeting net.

For the eth1 enablement part, my current understanding is that it
should be treated as a new independent v1 series for net-next,
since the scope and target tree have changed after the split.

Would you prefer this eth1 series to start as v1, or should it
continue as v8 for continuity with the original series?

I will follow your preferred approach before posting it.

Thanks,
Zhi